%global dist_version 1.0.0
# rc3 doesn't work with docker 17.03 as of now.
%global dist_tag rc5

%global provider github
%global provider_tld com
%global project opencontainers
%global repo runc
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}

#debuginfo not supported with Go
%global gopath  %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}

Name:           %{project}-%{repo}
Version:        %{dist_version}%{dist_tag}
%define subrel	2
Release:        %mkrel 3
Summary:        runc container cli tools
License:        ASL 2.0
Group:          System/Configuration

URL:            http://www.docker.com
Source0:        https://%{import_path}/archive/v%{dist_version}-%{dist_tag}.tar.gz
Patch0:         opencontainers-runc-PR1962.patch
Patch1:		opencontainers-runc-CVE-2019-5736.patch

BuildRequires:  gcc
BuildRequires:  glibc-static-devel

# ensure build uses golang 1.6 or above
BuildRequires:  golang >= 1.6

%description
runc is a CLI tool for spawning and running containers according to the OCI specification.

Cf: https://www.opencontainers.org/

%prep
%setup -q -n %{repo}-%{dist_version}-%{dist_tag}
%autopatch -p1

%build
export GOPATH=$(pwd)/Godeps/_workspace:%{gopath}
# for rc3 use this build sequence:
ln -sf $(pwd)/vendor $(pwd)/src
mkdir -p $(pwd)/vendor/github.com/opencontainers/runc
cp -a libcontainer $(pwd)/vendor/github.com/opencontainers/runc
export GOPATH=$(pwd):%{gopath}
make BUILDTAGS=""

%install
# install binary
install -d %{buildroot}%{_bindir}
install -p -m 755 runc %{buildroot}%{_bindir}
cd %{buildroot}%{_bindir}
for i in *; do
	ln -sf $i docker-$i
done

%files
%doc CONTRIBUTING.md LICENSE MAINTAINERS* NOTICE PRINCIPLES.md README.md
%{_bindir}/*


%changelog
* Tue Feb 12 2019 luigiwalser <luigiwalser> 1.0.0rc5-3.2.mga6
+ Revision: 1365383
- add upstream patch to fix CVE-2019-5736
+ bcornec <bcornec>
- Fix #24253 by applying upstream patch for security issue
- update opencontainers-runc to upstream 1.0.0-rc5 required by docker-containerd 1.2.0-beta.2, itself required by docker 18.06.1

* Sun May 28 2017 akien <akien> 1.0.0rc2-2.mga6
+ Revision: 1105408
- Rebuild against fixed golang
+ bcornec <bcornec>
- Go back to rc2 build procedure for opencontainers-runc
- go back to rc2 of opencontainers-runc as rc3 doesn't work with docker 17.03
- update to upstream 1.0.0rc3

* Thu Nov 24 2016 bcornec <bcornec> 1.0.0rc2-1.mga6
+ Revision: 1069706
- update to upstream 1.0.0rc2

* Sat Sep 24 2016 bcornec <bcornec> 1.0.0rc1-1.mga6
+ Revision: 1055669
- Update to upstream 1.0.rc1 needed by docker 0.12.1

* Mon May 23 2016 bcornec <bcornec> 0.1.1-2.mga6
+ Revision: 1018001
- remove restriction on arch

* Sun May 22 2016 bcornec <bcornec> 0.1.1-1.mga6
+ Revision: 1017692
- Create an opencontainers-runc package needed by docker >= 1.11
- Created package structure for opencontainers-runc.

